Modules

libraries deprecated from the core in 5.12.0